package com.xydl.cac.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "modev")
@ApiModel("监测装置表")
public class Modev {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @NotEmpty(message = "名称不能为空")
    @Column(name = "name")
    @ApiModelProperty("监测设备名称")
    private String name;

    @NotNull(message = "监测设备类型不能缺少")
    @Column(name = "modevtid")
    @ApiModelProperty("监测设备类型编号")
    private Integer modevtid;

    @Column(name = "address")
    private Integer address;

    @Column(name = "frequency")
    private Integer frequency;

    @Column(name = "portname")
    private String portname;

    @Column(name = "carelevel")
    private Integer carelevel;

    @Column(name = "zsbid")
    @NotNull(message = "主设备编号不能缺少")
    @ApiModelProperty("主设备编号")
    private Integer zsbid;

    @Column(name = "iedid")
    private Integer iedid;

    @Column(name = "equipmentmodel")
    private String equipmentmodel;

    @Column(name = "manufacture")
    private String manufacture;

    @Column(name = "factoryint")
    private String factoryint;

    @Column(name = "manufacturedate")
    private Date manufacturedate;

    @Column(name = "rundate")
    private Date rundate;

    @Column(name = "location")
    private String location;

    @Column(name = "note")
    private String note;

    @Column(name = "znxjdevid")
    private String znxjdevid;

    @Column(name = "ip")
    private String ip;

    @Column(name = "username")
    private String username;

    @Column(name = "pwd")
    private String pwd;

    @Column(name = "port")
    private String port;

    @Column(name = "nPresetId")
    private Integer npresetid;

    @Column(name = "nRuleId")
    private Integer nruleid;

    @Column(name = "nMeterType")
    private Integer nmetertype;

    @Column(name = "main_eid")
    private Integer mainEid;

    @Column(name = "second_eid")
    private Integer secondEid;



}